adKSampleTest {PMCMRplus} | R Documentation

## Anderson-Darling k-Sample Test

### Description

Performs Anderson-Darling k-sample test.

### Usage

    adKSampleTest(x, ...)

    ## Default S3 method:
    adKSampleTest(x, g, ...)

    ## S3 method for class 'formula'
    adKSampleTest(formula, data, subset, na.action, ...)

### Arguments

`x` | a numeric vector of data values, or a list of numeric data vectors.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

The null hypothesis, H_0: F_1 = F_2 = … = F_k is tested against the alternative, H_\mathrm{A}: F_i \ne F_j ~~(i \ne j), with at least one unequality beeing strict.

This function only evaluates version 1 of the k-sample Anderson-Darling test (i.e. Eq. 6) of Scholz and Stephens (1987). The p-values are estimated with the extended empirical function as implemented in `ad.pval` of the package kSamples.

### Value

A list with class `"htest"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  the estimated quantile of the test statistic.

p.value

  the p-value for the test.

parameter

  the parameters of the test statistic, if any.

alternative

  a character string describing the alternative hypothesis.

estimates

  the estimates, if any.

null.value

  the estimate under the null hypothesis, if any.

### References

Scholz, F.W., Stephens, M.A. (1987) K-Sample Anderson-Darling Tests. Journal of the American Statistical Association 82, 918–924.

### See Also

`adAllPairsTest`, `adManyOneTest`, `ad.pval`.

### Examples

    ## Hollander & Wolfe (1973), 116.
    ## Mucociliary efficiency from the rate of removal of dust in normal
    ## subjects, subjects with obstructive airway disease, and subjects
    ## with asbestosis.
    x <- c(2.9, 3.0, 2.5, 2.6, 3.2) # normal subjects
    y <- c(3.8, 2.7, 4.0, 2.4)      # with obstructive airway disease
    z <- c(2.8, 3.4, 3.7, 2.2, 2.0) # with asbestosis
    g <- factor(x = c(rep(1, length(x)),
                       rep(2, length(y)),
                       rep(3, length(z))),
                 labels = c("ns", "oad", "a"))
    dat <- data.frame(
       g = g,
       x = c(x, y, z))

    ## AD-Test
    adKSampleTest(x ~ g, data = dat)

    ## BWS-Test
    bwsKSampleTest(x ~ g, data = dat)

    ## Kruskal-Test
    ## Using incomplete beta approximation
    kruskalTest(x ~ g, dat, dist="KruskalWallis")
    ## Using chisquare distribution
    kruskalTest(x ~ g, dat, dist="Chisquare")

    ## Not run:
    ## Check with kruskal.test from R stats
    kruskal.test(x ~ g, dat)

    ## End(Not run)
    ## Using Conover's F
    kruskalTest(x ~ g, dat, dist="FDist")

    ## Not run:
    ## Check with aov on ranks
    anova(aov(rank(x) ~ g, dat))
    ## Check with oneway.test
    oneway.test(rank(x) ~ g, dat, var.equal = TRUE)

    ## End(Not run)

[Package PMCMRplus version 1.6.1 Index]